From 28bbfbab032806d6675f3816eef25a4a9d0565d8 Mon Sep 17 00:00:00 2001
From: Michele Alberti <michele.alberti@cea.fr>
Date: Mon, 21 Mar 2022 10:54:55 +0100
Subject: [PATCH] Armonize test binaries.

---
 tests/bin/Marabou  | 4 +++-
 tests/bin/pyrat.py | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/tests/bin/Marabou b/tests/bin/Marabou
index 47211a62..989ee31d 100644
--- a/tests/bin/Marabou
+++ b/tests/bin/Marabou
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh -e
 
 
 case $1 in
@@ -6,7 +6,9 @@ case $1 in
         echo "1.0.+"
         ;;
     *)
+        echo "PWD: $(pwd)"
         echo "NN: $1"
+        test -e $1 || (echo "Cannot find the NN file" && exit 1)
         echo "Goal:"
         cat $2
         echo "Unknown"
diff --git a/tests/bin/pyrat.py b/tests/bin/pyrat.py
index a6e81e99..e3331a76 100755
--- a/tests/bin/pyrat.py
+++ b/tests/bin/pyrat.py
@@ -8,7 +8,7 @@ case $1 in
     *)
         echo "PWD: $(pwd)"
         echo "NN: $2"
-        test -e $2 || (echo "Can't find the file" && exit 1)
+        test -e $2 || (echo "Cannot find the NN file" && exit 1)
         echo "Goal:"
         cat $4
         echo "Result = Unknown"
-- 
GitLab